Bug 219422 - LSPP: Unable to install via kickstart
Summary: LSPP: Unable to install via kickstart
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.0
Hardware: s390x
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-13 00:01 UTC by Kylene J Hall
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-12-15 16:19:17 UTC


Attachments (Terms of Use)
Kickstart file (13.65 KB, text/plain)
2006-12-13 00:01 UTC, Kylene J Hall
no flags Details
Sample screen shot (633 bytes, text/plain)
2006-12-13 00:02 UTC, Kylene J Hall
no flags Details

Description Kylene J Hall 2006-12-13 00:01:16 UTC
Description of problem:
When installing via kickstart I provide the kickstart file via http and the
method info via http in the parm file.  It doesn't seem to find this info and
after the initial network setup in the s390x console I am directed to ssh to the
ip address where I am prompted for the kickstart location and then the install
source.  This time it accepts both of these.  This window then says something
about processing pre-setup scripts.  Back on the z console I am being prompted
for the input in the interactive part of the kickstart script.  However, when I
attempt to answer the questions I am dropped into a shell each time. Multiple
Enters and sometimes throwing in a command such as ps and some more enters
finally bring me to the next question.  On questions that ask y/n I am told the
y or n that I answer is and undefined command.  Thus, I can never actually start
the install b/c the final question is should I actually start the install on
dasda y/n.

Attached is the kickstart file I am using and a snipet of the screen after I
have hit enter multiple times.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Kylene J Hall 2006-12-13 00:01:17 UTC
Created attachment 143479 [details]
Kickstart file

Comment 2 Kylene J Hall 2006-12-13 00:02:14 UTC
Created attachment 143480 [details]
Sample screen shot

Comment 3 Kylene J Hall 2006-12-14 17:02:46 UTC
Any info on this bug?

Comment 5 Jeremy Katz 2006-12-15 16:19:17 UTC
Your kickstart config is trying to do things that don't work with the way s390
installs work; /dev/console of s390 is the 3270 but any "input" that happens for
s390 happens on a telnet/ssh login

Comment 6 Archana K. Raghavan 2006-12-15 18:52:21 UTC
Bringing in comments from the Issue Tracker:
---------------------------------------------------------
We will have to make the kickstart script completely non-interactive if we can't
rely on the console. This probably needs to be done anyway for mass
installation, anyway.
------------------------------------------------------


Note You need to log in before you can comment on or make changes to this bug.